import 'package:get/get.dart';
import 'package:news_getx/modules/sign_in/sign_in_binding.dart';
import 'package:news_getx/modules/sign_in/sign_in_page.dart';
import 'package:news_getx/modules/sign_up/sign_up_binding.dart';
import 'package:news_getx/modules/sign_up/sign_up_page.dart';
import 'package:news_getx/modules/welcome/welcome_binding.dart';
import 'package:news_getx/modules/welcome/welcome_page.dart';

part './app_routes.dart';

abstract class AppPages {
  static final pages = [
    GetPage(
      name: AppRoutes.Initial,
      page: () => WelcomePage(),
      binding: WelcomeBinding(),
    ),
    GetPage(
      name: AppRoutes.Signin,
      page: () => SignInPage(),
      binding: SignInBinding(),
    ),
    GetPage(
      name: AppRoutes.Signup,
      page: () => SignUpPage(),
      binding: SignUpBinding(),
    )
  ];
}
